CC/OD/Line Creation - Onboarding API

After you have all the loan details call this API to book the loan into the Lender system.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The payload for the Onboarding API.

{
	"mobile_number": "<customer mobile number>",
	"partner_loan_id": "<partner loan id>",
	"full_name": "<full name of the customer>",
	"email": "<email id of the customer>",
	"gender": "<gender of the customer>",
	"date_of_birth": "<date of birth of the customer>",
	"fathers_name": "<customer's father name>",
	"mothers_name": "<customer's mother name>",
	"address": "<address of the customer>",
	"pincode": "<pincode of the customer>",
	"monthly_income": "<monthly income of the customer>",
	"monthly_emi": "<monthly emi of the customer>",
	"credit_score": "<credit score of the customer>",
	"ckyc_no": "<ckyc number of the customer>",
	"employment_type": "<employment type of the customer>",
	"company_name": "<company name of the customer>",
	"loan_application_date": "<loan application date of the customer>",
	"agreement_date": "<date on the loan agreement>",
	"line_amount": "<line amount to be given to the customer>",
	"line_expiry_date": "<expiry date when the line amount to be given to the customer will expire>",
	"interest_rate": "<interest rate which is charged>",
	"payment_frequency": "<frequency at which payment is to be done>",
	"loan_type": "<personal_loan/education_loan/supply_chain>",
	"agreement_signature_type": "<physical/e-signature/click-wrap>",
	"bank_account": {
		"ac_number": "<bank account number>",
		"ifsc_code": "<IFSC code of customer>",
		"nach_umrn": "<NACH UMRN of the given bank account>",
		"nach_type": "<physical/api-mandate>",
		"ac_name": "<name of the customer in bank account>"
	},
	"kyc": [{
			"kyc_type": "aadhaar",
			"identifier": "<last 4 digits of customer aadhaar number>",
			"verified_using": "<image/offline-eKYC/>",
			"verification_id": "<identifier used for KYC>",
			"kyc_name": "<name on the kyc document>",
			"is_verified": true,
			"address": "<only for aadhaar cases>"
		},
		{
			"kyc_type": "pan",
			"identifier": "<PAN number of the customer>",
			"verified_using": "<image/nsdl-api>",
			"verification_id": "<identifier used for KYC>",
			"kyc_name": "<name on the kyc document>",
			"is_verified": true
		}
	],
	"additional_variables": {}
}

The API would return a unique lead id and a loan account number. This loan account number should be used in the loan agreement.

POST /api/v1/client/line/

To get any details about the lead, call the same API with a GET request.

GET /api/v1/client/line/<lead_id>/

Find a detailed description of the API parameters in Loan Booking API Parameters table. Note that the table is the final authority on what should be passed in the API.

Sample Response:

{
	"is_success": true,
	"data": {
		"loan_account_number": "<loan account no, which should go into the agreement>",
		"lead_id": "<unique lead id>"
	}
}

Response for Duplicate Partner Loan ID

Since Partner Loan ID is a unique field, re-creating a loan with the same ID will result in the following error.

The Loan Account Number and the lead ID of the existing Partner Loan ID are shared back.

{
	"is_success": false,
	"error": {
		"message": "Partner Loan ID already exists.",
		"code": "duplicate_partner_loan_id",
		"details": {
			"loan_account_number": "abc333495492",
			"lead_id": "d82e0371-b5d5-4cfa-b359-570f33d5d57f"
		}
	}
}
Body Params
kyc
array of objects

KYC Details of the Customer.

kyc
int32
Defaults to 1

Gender of the customer.

string
Defaults to udaan
string
Defaults to S/O NARESH KUMAR 803111 DEEPNAGAR BR

Address if present in case of Aadhar.

int64
Defaults to 20080142366385

CKYC number of the customer.

int32
Defaults to 440033

Pincode where the customer currently resides.

string
Defaults to Pooja

Full name of the customer.

int32
Defaults to 1

Loan product type.

int32
Defaults to 5000

The line amount which is approved for the customer.

int32
Defaults to 0
string
Defaults to [email protected]

Email of the customer.

int32
Defaults to 0

Monthly EMI of the customer.

bank_account
object
string
Defaults to Company

Company name of the customer.

string
Defaults to 725

Credit Score of the customer.

string
Defaults to None

Father's name of the customer.

string
Defaults to None

Mothers's name of the customer.

date
Defaults to 1997-10-25

Date of birth of the customer.

int32
Defaults to 0

Interest rate which is charged to the customer, this is in annualized IRR space.

int64
Defaults to 8956728983

customer mobile number

date
Defaults to 2021-07-01

It can be same as loan application date.

string
Defaults to null
int32
Defaults to 55000

Monthly income of the customer.

int32
Defaults to 2

Employment type of the customer.

int64
Defaults to 5159399384993323

Partner Loan Id

date
Defaults to 2022-04-04

This is the date at which the credit line will expire.

int32
Defaults to 3

Payment frequency at which the payment is to be done.

date
Defaults to 2021-01-04

Loan application date, when the application was done.

int32
Defaults to 3

How the agreement is signed by the customer.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json